# Power PC AIF ECOFF file Format

Assembler code

```
.text:00002054
.text:00002054 # =============== S U B R O U T I N E =======================================
.text:00002054
.text:00002054
.text:00002054 bpf_tap:
.text:00002054
.text:00002054 .set sender_sp, -0x50
.text:00002054 .set var_C, -0xC
.text:00002054 .set var_8, -8
.text:00002054 .set var_4, -4
.text:00002054 .set sender_lr,  8
.text:00002054
.text:00002054                 stw       r31, var_4(r1)
.text:00002058                 lwz       r31, 4(r3)
.text:0000205C                 mr        r6, r5
.text:00002060                 mflr      r0
.text:00002064                 cmpwi     r31, 0
.text:00002068                 lwz       r3, 0x28(r31)
.text:0000206C                 stw       r0, sender_lr(r1)
.text:00002070                 stwu      r1, sender_sp(r1)
.text:00002074                 addi      r0, r3, 1
.text:00002078                 stw       r5, 0x50+var_C(r1)
.text:0000207C                 lwz       r3, 0x24(r31)
.text:00002080                 stw       r4, 0x50+var_8(r1)
.text:00002084                 beq       loc_20EC
.text:00002088                 stw       r0, 0x28(r31)
.text:0000208C
.text:0000208C loc_208C:                               # CODE XREF: bpf_tap+80↓j
.text:0000208C                 bl        bpf_filter
.text:00002090                 nop
.text:00002094                 mr.       r6, r3
.text:00002098                 mr        r3, r31
.text:0000209C                 lwz       r4, 0x50+var_8(r1)
.text:000020A0                 lwz       r5, 0x50+var_C(r1)
.text:000020A4                 lwz       r7, off_4178  # off_40B4
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.5/user-guide/disassembler/disassembly-gallery/power-pc-aif-ecoff-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
